Menu
Home
Chat Rooms
User Count
Chat Help
Your Room Html
Create a Room
Room Wizard
Advertising
Contact Us
Other Languages
English
German
Spanish
French
Italian
Portuguese
 


Please wait for the chat applet to load below.

English




(Once inside the rooms this page must stay open.)
I believe the applet has been correctly updated to work with the new release of java. It should now be safe for you to upgrade java.

If you get "java.lang.UnsupportedClassVersionError" this means that you are using the legacy version of java and you should upgrade java.

If you are unable to upgrade java then you may try to use the legacy applet.